Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
dragonboy

Trong model không hiện hình vẽ. Help!!!

Các bài được khuyến nghị

dragonboy    0

Mình nhận được 1 bản vẽ, trong layout có hình như kiểu bị blog(nhưng không Eplode cũng như copy được). Nhưng vào model thì không có gì. Mình muốn sửa bản vẽ nhưng ko thể làm được. Mong ai biết giúp mình với. Mình đang cần gấp. Thanks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nghiautc    18

Một câu hỏi rất hay nhưng không có câu trả lời.

1.Các đối tượng trong bản vẽ có phải Block không?

Block có trong bản vẽ trên:

((-1 . <Entity name: 7e8528f0>) (0 . "ACIDBLOCKREFERENCE") (330 . <Entity name:

7dbed3a8>) (5 . "E96") (100 . "AcDbEntity") (67 . 1) (410 . "Sheet") (8 .

"IDW_BlockReferenceLayer") (62 . 7) (100 . "AcDbBlockReference") (2 . "*I42")

(10 0.0 0.0 0.0) (41 . 1.0) (42 . 1.0) (43 . 1.0) (50 . 0.0) (70 . 0) (71 . 0)

(44 . 0.0) (45 . 0.0) (210 0.0 0.0 1.0))

Block tạo bình thường:

((-1 . <Entity name: 7e84f5e0>) (0 . "INSERT") (330 . <Entity name: 7dbed3a8>)

(5 . "3894") (100 . "AcDbEntity") (67 . 1) (410 . "Sheet") (8 . "BLOCK") (100 .

"AcDbBlockReference") (2 . "03155199") (10 188.975 541.192 0.0) (41 . 1.0) (42

. 1.0) (43 . 1.0) (50 . 0.0) (70 . 0) (71 . 0) (44 . 0.0) (45 . 0.0) (210 0.0

0.0 1.0))

Sự khác nhau ở dây là :

(0 . "ACIDBLOCKREFERENCE")

(0 . "INSERT")

>> các đối tượng đây là gì? có phải block không

2.Làm sao để tạo được các đối tượng có tính chất như trên

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em thấy cái này mỗi hình đc vẻ trên một Viewpost muốn edit Block thì vẩn đc mà! bạn để ý là bên dưới nó có chỗ khóa VP, mình mở khóa ra thì edit vẫn đc, còn qua model thì hok bít đc! :rolleyes:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lp_hai    209

Mình nhận được 1 bản vẽ, trong layout có hình như kiểu bị blog(nhưng không Eplode cũng như copy được). Nhưng vào model thì không có gì. Mình muốn sửa bản vẽ nhưng ko thể làm được. Mong ai biết giúp mình với. Mình đang cần gấp. Thanks!

bạn thử chữa cháy như thế này nhá:

bạn muốn sửa block nào thì dùng lệnh insert rồi chọn block giống với hình bạn muốn sửa VD như insert block chitiet5, xong rồi bạn nhấp đúp vào sửa bình thường. thì cái block kia cũng tự động cập nhật theo đó bạn

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nghiautc    18

Thank.Nhưng ý mình muốn biết đối tượng đó có phải là block không ?

Nếu là block thì được tạo theo cách nào? Trong model tại sao lại không hiện hình vẽ của block?

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lp_hai    209

Thank.Nhưng ý mình muốn biết đối tượng đó có phải là block không ?

Nếu là block thì được tạo theo cách nào? Trong model tại sao lại không hiện hình vẽ của block?

lúc trước mình thấy có cái topic đố ai phá được cái block uname gì gì đấy. mình thấy cái này còn khó hơn. bạn thử treo thường cho mấy bác tai to mặt bự giải thử. hehe :rolleyes:

theo mình thì nó cũng là block nhưng chỉ cho tham khảo thôi giống như xref vậy, còn file gốc của nó vẫn là block bình thường. còn cách làm như thế nào thì mình ko đủ kiến thức rồi.

hic

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.653

lúc trước mình thấy có cái topic đố ai phá được cái block uname gì gì đấy. mình thấy cái này còn khó hơn. bạn thử treo thường cho mấy bác tai to mặt bự giải thử. hehe :rolleyes:

theo mình thì nó cũng là block nhưng chỉ cho tham khảo thôi giống như xref vậy, còn file gốc của nó vẫn là block bình thường. còn cách làm như thế nào thì mình ko đủ kiến thức rồi.

hic

Đỏ : hấp dẫn hè ^^

Theo mình hiểu thì các đối tượng này được tạo bởi phần mềm ngoại CAD, và *I có lẽ (99%)là được tạo bới Inventor ??

Bạn thử dùng lisp sau xem sao :) Lệnh EIB

EIB

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lp_hai    209

Đỏ : hấp dẫn hè ^^

Theo mình hiểu thì các đối tượng này được tạo bởi phần mềm ngoại CAD, và *I có lẽ (99%)là được tạo bới Inventor ??

Bạn thử dùng lisp sau xem sao :) Lệnh EIB

EIB

đúng là dùng lisp EIB cho những dt này "hiện nguyên hình" bên bodel, xong rồi thì sửa (củng chỉ sửa dc bên model)

P/s sao người ta lại làm phức tạp bản vẽ vậy hở các bác??

 

:blink:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.653

đúng là dùng lisp EIB cho những dt này "hiện nguyên hình" bên bodel, xong rồi thì sửa (củng chỉ sửa dc bên model)

P/s sao người ta lại làm phức tạp bản vẽ vậy hở các bác??

 

:blink:

Để những người như a e ta có công việc đau đầu ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lichsotut    0

Đỏ : hấp dẫn hè ^^

Theo mình hiểu thì các đối tượng này được tạo bởi phần mềm ngoại CAD, và *I có lẽ (99%)là được tạo bới Inventor ??

Bạn thử dùng lisp sau xem sao smile.gif Lệnh EIB

EIB

Mình dùng lisp của bạn vẫn không được.Bạn thử xem file cad còn dạng nào nữa ko ?

File cad của mình

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×